Форум 1С
Программистам, бухгалтерам, администраторам, пользователям
Задай вопрос - получи решение проблемы
26 ноя 2022, 22:53

Растр при печати на принтер из ТК в Ubuntu 22.04

Автор Гаврилов, Механик, 11 окт 2022, 12:59

0 Пользователей и 1 гость просматривают эту тему.

Гаврилов, Механик

Здравствуйте!

У меня ТК (тонкий клиент) 1С Предприятие  8.3 (8.3.18.1741) в Ubuntu 22.04
БД в облаке.

Установлены пакеты:

un  1c-enterprise-8.3.18.1741-common          <нет>        <нет>        (описание недоступно)
ii  1c-enterprise-8.3.18.1741-thin-client     8.3.18-1741  amd64        1C:Enterprise 8.3 thin client for Linux.
ii  1c-enterprise-8.3.18.1741-thin-client-nls 8.3.18-1741  amd64        National resource files for 1C:Enterprise 8.3.18.1741 thin cli>


После обновления с 20.04 до 22.04 документы (например, счет, УПД) стали печаться с растром в шрифтах, мелкими точками.
В Ubuntu 20.04 после обновления тоже была печать с растром, более заметным, потом просто установил новый принтер в CUPS, растр пропал. HPLIP (hp-setup) не работал и не работает.
Здесь это, переустановка принтера в CUPS не помогает.
Драйверов по моей модели принтера HP 2 варианта, один не печатает.
HPLIP
Кроме того, в старом принтере из Ubuntu 20.04 счет почему-то стал печататься на боку и половинкой, хотя установлен режим Портрет, масштаб 100 %.
msttcorefonts и зависимости устанавливал.
Но это улучшило шрифты в интерфейсе (были до установки немного "лохматые").

Пробовал очистить кэш, не помогло.
С прежним принтером по-прежнему счет печатается на боку и половинка,
с новым и старым - растеризация.
Гуглил, ничего не нашел.

Судя по моим экспериментам с печатью из других программ, это режим Eco mode, черновая печать, хотя в Параметрах страницы макетов 1С она отключена.

Что посоветуете?
Спасибо!

Поиск родных

А 1С 32-разрядная или 64-х ?
Зачем переустанавливали Ubuntu ?
**************************************
Нужна помощь в поиске родных! https://forum-1c.ru/index.php?topic=79683.msg231850#msg231850
НАЙДЕННЫЕ нашей командой родные https://forum-1c.ru/index.php?topic=79555.0
Заявки на поиск делать сообщением в Телеграм-группе

Гаврилов, Механик


Поиск родных

Когда дело касается печати, то я пользуюсь только 32-битными библиотеками и платформами!
Чего и Вам желаю ,  есди не хотите заниматься отгадыванием секретов закрытых библиотек печати
**************************************
Нужна помощь в поиске родных! https://forum-1c.ru/index.php?topic=79683.msg231850#msg231850
НАЙДЕННЫЕ нашей командой родные https://forum-1c.ru/index.php?topic=79555.0
Заявки на поиск делать сообщением в Телеграм-группе

Гаврилов, Механик

Попытался установить 32-разрядную версию, ошибки:

:~$ sudo apt install libwebkitgtk-3.0-0
Чтение списков пакетов... Готово
Построение дерева зависимостей... Готово
Чтение информации о состоянии... Готово         
Уже установлен пакет libwebkitgtk-3.0-0 самой новой версии (2.4.11-3ubuntu3).
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 10 пакетов не обновлено.

:~$ sudo dpkg -i 1c-enterprise-8.3.18.1741-thin-client_8.3.18-1741_i386.deb
Выбор ранее не выбранного пакета 1c-enterprise-8.3.18.1741-thin-client:i386.
dpkg: предупреждение: список файлов пакета «usrmerge» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных ... на данный момент установлено 343792 файла и каталога.)
Подготовка к распаковке .../1c-enterprise-8.3.18.1741-thin-client_8.3.18-1741_i386.deb ...
Распаковывается 1c-enterprise-8.3.18.1741-thin-client:i386 (8.3.18-1741) ...
dpkg: зависимости пакетов не позволяют настроить пакет 1c-enterprise-8.3.18.1741-thin-client:i386:
 1c-enterprise-8.3.18.1741-thin-client:i386 зависит от libwebkitgtk-3.0-0 (>= 1.2.5).

dpkg: ошибка при обработке пакета 1c-enterprise-8.3.18.1741-thin-client:i386 (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для hicolor-icon-theme (0.17-2) ...
Обрабатываются триггеры для bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для gnome-menus (3.36.0-1ubuntu3) ...
Обрабатываются триггеры для desktop-file-utils (0.26-1ubuntu3) ...
Обрабатываются триггеры для mailcap (3.70+nmu1ubuntu1) ...
При обработке следующих пакетов произошли ошибки:
 1c-enterprise-8.3.18.1741-thin-client:i386


Дополнил:
 1c-enterprise-8.3.18.1741-thin-client:i386 : Зависит: libwebkitgtk-3.0-0:i386 (>= 1.2.5) но он не может быть установлен

Ищу решение установить 32-битную версию libwebkitgtk-3.0-0:i386.

Поиск родных

**************************************
Нужна помощь в поиске родных! https://forum-1c.ru/index.php?topic=79683.msg231850#msg231850
НАЙДЕННЫЕ нашей командой родные https://forum-1c.ru/index.php?topic=79555.0
Заявки на поиск делать сообщением в Телеграм-группе

Гаврилов, Механик

Цитата: Поиск родных от 28 окт 2022, 19:2232-разрядную версию - чего?



Пакета, что я указал выше.
Вы предложили использовать 32-разрядную версию ТК.
В новых версиях Ubuntu нет поддержки 32-разрядных приложений.

Похожие темы (5)

Рейтинг@Mail.ru Rambler's Top100

Поиск